package com.docus.server.message.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 应用业务配置
 * @author wyb
 */

@Getter
@Setter
@ConfigurationProperties(prefix = "docus.url")
@Component
public class UrlConfig {
    /**
     * 下载接口地址的配置
     */
    private String downUrl;
    /**
     * 任务补偿接口地址的配置
     */
    private String compensateTaskUrl;
    /**
     * 获取基础信息数据的接口
     */
    private String getBasicDataUrl;

}
