package com.docus.server.message.feign.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * 任务补偿参数
 *
 * @author wyb
 */
@Data
@ApiModel("任务补偿下发参数")
public class CompensateTasRequest {
    /**
     * 病案主键
     */
    @ApiModelProperty(value = "病案主键",required = true)
    @NotNull(message = "病案主键不能为空")
    @Size(min = 1,message = "病案主键不能为空")
    private List<String> patientIds;
    /**
     * 采集器类型标识
     */
    @ApiModelProperty(value = "采集器id",required = true)
    @NotNull(message = "采集采集器id不能为空")
    @Size(min = 1,message = "采集采集器id不能为空")
    private List<String> collectorIds;
    /**
     * 队列优先级
     */
    @NotNull(message = "队列优先级不能为空")
    @Min(value = 1,message = "队列优先级不能小于1")
    @Max(value = 10,message = "队列优先级不能大于10")
    @ApiModelProperty(value = "队列优先级",required = true)
    private Integer priority;
}
