package com.docus.server.message.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface TBasicMapper {
    List<String> getPatientIdsByInpatientNoAndTimes(@Param("inpatientNo") String inHospIndexNo, @Param("admissTimes") Integer visitNo);

    /**
     * 更新医生提交时间
     *
     * @param patientId  病案主键
     * @param submitTime 提交时间
     * @return database操作行
     */
    int insertOrUpdateDoctorSubmitTime(@Param("patientId") String patientId, @Param("submitTime") Date submitTime);

    /**
     * 更新护士提交时间
     *
     * @param patientId  病案主键
     * @param submitTime 提交时间
     * @return database操作行
     */
    int insertOrUpdateNurseSubmitTime(@Param("patientId") String patientId, @Param("submitTime") Date submitTime);

    /**
     * 更新护理文件数量
     *
     * @param patientId 病案主键
     * @param fileCount 文件数量
     * @return database操作行
     */
    int insertOrUpdateNurseFileCount(@Param("patientId") String patientId, @Param("fileCount") Integer fileCount);

    /**
     * 根据病案主键查询出院病案的数量，一般用于判断病案是否出院
     *
     * @param patientId 病案主键
     * @return 出院数量
     */
    int getDischargeCount(@Param("patientId") String patientId);

    /**
     * 更新出院时间
     * @param patientId 病案主键
     * @param disDate 出院时间
     * @return database操作行
     */
    int updateDisDateTime(@Param("patientId") String patientId,@Param("disDate") String disDate);
}
