package com.docus.server.message.rpc.dto;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * HIS 住院出院医嘱查询数据
 *
 * @author wyb
 */
@Data
@ApiModel("HIS 住院出院医嘱查询数据")
public class HisZyCyYzDTO {

    @ApiModelProperty("科室编码")
    @JSONField(name = "dept_code")
    private String dept_code;

    @ApiModelProperty("嘱托 费用标志")
    @JSONField(name = "self_buy")
    private String self_buy;

    @ApiModelProperty("医生开立编码")
    @JSONField(name = "order_doctor")
    private String order_doctor;

    @ApiModelProperty("药品代码")
    @JSONField(name = "PHAM_STD_CODE")
    private String PHAM_STD_CODE;

    @ApiModelProperty("病房号码")
    @JSONField(name = "roomno")
    private String roomno;

    @ApiModelProperty("原病区编码")
    @JSONField(name = "orig_ward_code")
    private String orig_ward_code;

    @ApiModelProperty("医嘱开立时间")
    @JSONField(name = "order_time")
    private String order_time;

    @ApiModelProperty("治疗单标志")
    @JSONField(name = "TREAT_SHEET_FLAG")
    private String TREAT_SHEET_FLAG;

    @ApiModelProperty("")
    @JSONField(name = "yb_type_name")
    private String yb_type_name;

    @ApiModelProperty("最后一次执行日期及时间")
    @JSONField(name = "LAST_PERFORM_DATE_TIME")
    private String LAST_PERFORM_DATE_TIME;

    @ApiModelProperty("医嘱状态 1：录入 2：确认 3：执行 5 ：停止 6：撤销    状态代码或者执行状态")
    @JSONField(name = "order_status")
    private String order_status;

    @ApiModelProperty("用药途径")
    @JSONField(name = "supply_name")
    private String supply_name;

    @ApiModelProperty("数量")
    @JSONField(name = "AMOUNT")
    private String AMOUNT;

    @ApiModelProperty("父医嘱类型代码")
    @JSONField(name = "p_order_type")
    private String p_order_type;

    @ApiModelProperty("药物类型编码")
    @JSONField(name = "drug_type")
    private String drug_type;

    @ApiModelProperty("费用状态名称")
    @JSONField(name = "fy_type_name")
    private String fy_type_name;

    @ApiModelProperty("")
    @JSONField(name = "caoyao_fu")
    private String caoyao_fu;

    @ApiModelProperty("电话")
    @JSONField(name = "tel")
    private String tel;

    @ApiModelProperty("临床路径编码")
    @JSONField(name = "cps_id")
    private String cps_id;

    @ApiModelProperty("审核护士ID")
    @JSONField(name = "nurse_confirm_code")
    private String nurse_confirm_code;

    @ApiModelProperty("单次用药剂量")
    @JSONField(name = "doseage")
    private String doseage;

    @ApiModelProperty("医嘱取消时间")
    @JSONField(name = "cancel_time")
    private String cancel_time;

    @ApiModelProperty("医嘱类型")
    @JSONField(name = "group_name")
    private String group_name;

    @ApiModelProperty("用药天数")
    @JSONField(name = "yydays")
    private String yydays;

    @ApiModelProperty("最后一次计价日期及时间")
    @JSONField(name = "LAST_ACCTING_DATE_TIME")
    private String LAST_ACCTING_DATE_TIME;

    @ApiModelProperty("互斥类型名称")
    @JSONField(name = "exclusive_name")
    private String exclusive_name;

    @ApiModelProperty("医嘱项目类型名称")
    @JSONField(name = "order_item_name")
    private String order_item_name;

    @ApiModelProperty("药品小类")
    @JSONField(name = "drug_sub_class")
    private String drug_sub_class;

    @ApiModelProperty("身份证号")
    @JSONField(name = "social_code")
    private String social_code;

    @ApiModelProperty("")
    @JSONField(name = "emergency_flag")
    private String emergency_flag;

    @ApiModelProperty("药物名称")
    @JSONField(name = "drugname")
    private String drugname;

    @ApiModelProperty("")
    @JSONField(name = "yzzt_code")
    private String yzzt_code;

    @ApiModelProperty("")
    @JSONField(name = "back_status_name")
    private String back_status_name;

    @ApiModelProperty("医嘱编码")
    @JSONField(name = "order_code")
    private String order_code;

    @ApiModelProperty("模板类型")
    @JSONField(name = "muban_type")
    private String muban_type;

    @ApiModelProperty("健康档案编号")
    @JSONField(name = "fileno")
    private String fileno;

    @ApiModelProperty("处方号")
    @JSONField(name = "CURRENT_PRESC_NO")
    private String CURRENT_PRESC_NO;

    @ApiModelProperty("医嘱审核护士日期时间")
    @JSONField(name = "nurse_confirm_time")
    private String nurse_confirm_time;

    @ApiModelProperty("是否药观")
    @JSONField(name = "medviewflag")
    private String medviewflag;

    @ApiModelProperty("病人内部编码")
    @JSONField(name = "global_pid")
    private String global_pid;

    @ApiModelProperty("组套标记")
    @JSONField(name = "ztbj")
    private String ztbj;

    @ApiModelProperty("审核医生签名")
    @JSONField(name = "confirm_opera_name")
    private String confirm_opera_name;

    @ApiModelProperty("医保类别名称")
    @JSONField(name = "charge_group_name")
    private String charge_group_name;

    @ApiModelProperty("")
    @JSONField(name = "hcyz_type_code")
    private String hcyz_type_code;

    @ApiModelProperty("开嘱科室编码")
    @JSONField(name = "order_dept_sn")
    private String order_dept_sn;

    @ApiModelProperty("")
    @JSONField(name = "zyypjs")
    private String zyypjs;

    @ApiModelProperty("用药标志")
    @JSONField(name = "yybj")
    private String yybj;

    @ApiModelProperty("长临标志")
    @JSONField(name = "long_once_flag")
    private String long_once_flag;

    @ApiModelProperty("护理类型名称")
    @JSONField(name = "huli_type_name")
    private String huli_type_name;

    @ApiModelProperty("父医嘱类型名称")
    @JSONField(name = "p_order_type_name")
    private String p_order_type_name;

    @ApiModelProperty("是否适应")
    @JSONField(name = "fit_flag")
    private String fit_flag;

    @ApiModelProperty("医嘱取消人签名")
    @JSONField(name = "cancel_name")
    private String cancel_name;

    @ApiModelProperty("医保类别")
    @JSONField(name = "charge_group")
    private String charge_group;

    @ApiModelProperty("药品性质编码")
    @JSONField(name = "ypxz")
    private String ypxz;

    @ApiModelProperty("开嘱科室名称")
    @JSONField(name = "order_dept_name")
    private String order_dept_name;

    @ApiModelProperty("药品计价属性")
    @JSONField(name = "DRUG_DILLING_ATTR")
    private String DRUG_DILLING_ATTR;

    @ApiModelProperty("病区编码")
    @JSONField(name = "ward_code")
    private String ward_code;

    @ApiModelProperty("医嘱状态")
    @JSONField(name = "status_name")
    private String status_name;

    @ApiModelProperty("")
    @JSONField(name = "bihuan_order_type_name")
    private String bihuan_order_type_name;

    @ApiModelProperty("性别编码")
    @JSONField(name = "sex")
    private String sex;

    @ApiModelProperty("药物剂型代码")
    @JSONField(name = "dosage_type")
    private String dosage_type;

    @ApiModelProperty("")
    @JSONField(name = "zyypcf")
    private String zyypcf;

    @ApiModelProperty("")
    @JSONField(name = "op_id")
    private String op_id;

    @ApiModelProperty("药物类别编码")
    @JSONField(name = "drug_class")
    private String drug_class;

    @ApiModelProperty("药物编码")
    @JSONField(name = "drugcode")
    private String drugcode;

    @ApiModelProperty("药品性质名称")
    @JSONField(name = "ypxzmc")
    private String ypxzmc;

    @ApiModelProperty("排斥医嘱号")
    @JSONField(name = "exclu_order_sn")
    private String exclu_order_sn;

    @ApiModelProperty("护理登记编码")
    @JSONField(name = "hl_code")
    private String hl_code;

    @ApiModelProperty("单次药物使用总剂量单位")
    @JSONField(name = "unit_name1")
    private String unit_name1;

    @ApiModelProperty("医嘱备注")
    @JSONField(name = "instruction")
    private String instruction;

    @ApiModelProperty("")
    @JSONField(name = "back_status")
    private String back_status;

    @ApiModelProperty("")
    @JSONField(name = "xzlhff_type_name")
    private String xzlhff_type_name;

    @ApiModelProperty("审核护士签名")
    @JSONField(name = "nurse_confirm_name")
    private String nurse_confirm_name;

    @ApiModelProperty("是否皮试")
    @JSONField(name = "skin_test")
    private String skin_test;

    @ApiModelProperty("医嘱序号")
    @JSONField(name = "order_sn")
    private String order_sn;

    @ApiModelProperty("医嘱取消人ID")
    @JSONField(name = "cancel_doctor")
    private String cancel_doctor;

    @ApiModelProperty("费用状态")
    @JSONField(name = "fy_type")
    private String fy_type;

    @ApiModelProperty("")
    @JSONField(name = "bihuan_order_type")
    private String bihuan_order_type;

    @ApiModelProperty("药品小类名称")
    @JSONField(name = "drug_sub_class_name")
    private String drug_sub_class_name;

    @ApiModelProperty("姓名")
    @JSONField(name = "pat_name")
    private String pat_name;

    @ApiModelProperty("抗生素标记")
    @JSONField(name = "kssbj")
    private String kssbj;

    @ApiModelProperty("医嘱类型编码")
    @JSONField(name = "group_type")
    private String group_type;

    @ApiModelProperty("停止人签名")
    @JSONField(name = "stop_name")
    private String stop_name;

    @ApiModelProperty("")
    @JSONField(name = "zyyyff")
    private String zyyyff;

    @ApiModelProperty("规格")
    @JSONField(name = "spec")
    private String spec;

    @ApiModelProperty("毒麻精标志")
    @JSONField(name = "poison_class")
    private String poison_class;

    @ApiModelProperty("医嘱项目类型编码")
    @JSONField(name = "order_item_type")
    private String order_item_type;

    @ApiModelProperty("药物类别名称")
    @JSONField(name = "drug_class_name")
    private String drug_class_name;

    @ApiModelProperty("床号")
    @JSONField(name = "bedno")
    private String bedno;

    @ApiModelProperty("互斥类型代码")
    @JSONField(name = "exclusive_type")
    private String exclusive_type;

    @ApiModelProperty("")
    @JSONField(name = "zyjzf")
    private String zyjzf;

    @ApiModelProperty("科室名称")
    @JSONField(name = "dept_code_name")
    private String dept_code_name;

    @ApiModelProperty("停止人ID")
    @JSONField(name = "stop_opera")
    private String stop_opera;

    @ApiModelProperty("")
    @JSONField(name = "hcyz_type_name")
    private String hcyz_type_name;

    @ApiModelProperty("包装序号")
    @JSONField(name = "pack_sn")
    private String pack_sn;

    @ApiModelProperty("")
    @JSONField(name = "admiss_date")
    private String admiss_date;

    @ApiModelProperty("护理等级")
    @JSONField(name = "hl_name")
    private String hl_name;

    @ApiModelProperty("审核医生ID")
    @JSONField(name = "confirm_opera_code")
    private String confirm_opera_code;

    @ApiModelProperty("计价属性")
    @JSONField(name = "BILLING_ATTR")
    private String BILLING_ATTR;

    @ApiModelProperty("执行频率编码")
    @JSONField(name = "frequ_code")
    private String frequ_code;

    @ApiModelProperty("")
    @JSONField(name = "cfypzh")
    private String cfypzh;

    @ApiModelProperty("")
    @JSONField(name = "yb_type_code")
    private String yb_type_code;

    @ApiModelProperty("原病区名称")
    @JSONField(name = "orig_ward_name")
    private String orig_ward_name;

    @ApiModelProperty("单次用药剂量单位")
    @JSONField(name = "unit_name")
    private String unit_name;

    @ApiModelProperty("医嘱开始时间")
    @JSONField(name = "start_time")
    private String start_time;

    @ApiModelProperty("执行科室")
    @JSONField(name = "exec_unit")
    private String exec_unit;

    @ApiModelProperty("开嘱医生")
    @JSONField(name = "order_doctor_name")
    private String order_doctor_name;

    @ApiModelProperty("药物剂型")
    @JSONField(name = "dosage_name")
    private String dosage_name;

    @ApiModelProperty("病人ID")
    @JSONField(name = "patient_id")
    private String patient_id;

    @ApiModelProperty("皮试结果")
    @JSONField(name = "skintest_result")
    private String skintest_result;

    @ApiModelProperty("执行科室")
    @JSONField(name = "exec_name")
    private String exec_name;

    @ApiModelProperty("")
    @JSONField(name = "fee_type_status")
    private String fee_type_status;

    @ApiModelProperty("住院号")
    @JSONField(name = "visitNo")
    private String visitNo;

    @ApiModelProperty("长期或临时名称")
    @JSONField(name = "long_once_name")
    private String long_once_name;

    @ApiModelProperty("毒麻标记")
    @JSONField(name = "dmbj")
    private String dmbj;

    @ApiModelProperty("中西药标识")
    @JSONField(name = "type_flag")
    private String type_flag;

    @ApiModelProperty("出生日期")
    @JSONField(name = "birthday")
    private String birthday;

    @ApiModelProperty("处方药品组号")
    @JSONField(name = "order_long_id")
    private String order_long_id;

    @ApiModelProperty("")
    @JSONField(name = "xzlhff_type_code")
    private String xzlhff_type_code;

    @ApiModelProperty("医嘱停止时间")
    @JSONField(name = "stop_time")
    private String stop_time;

    @ApiModelProperty("父医嘱号")
    @JSONField(name = "p_order_sn")
    private String p_order_sn;

    @ApiModelProperty("执行频率")
    @JSONField(name = "frequ_name")
    private String frequ_name;

    @ApiModelProperty("医嘱描述")
    @JSONField(name = "order_description")
    private String order_description;

    @ApiModelProperty("父医嘱编码")
    @JSONField(name = "p_order_code")
    private String p_order_code;

    @ApiModelProperty("医嘱名称")
    @JSONField(name = "order_name")
    private String order_name;

    @ApiModelProperty("护理类型")
    @JSONField(name = "hl_type")
    private String hl_type;

    @ApiModelProperty("临床路径项目序号")
    @JSONField(name = "cps_order_sn")
    private String cps_order_sn;

    @ApiModelProperty("抗生素标志")
    @JSONField(name = "zy_role")
    private String zy_role;

    @ApiModelProperty("病区名称")
    @JSONField(name = "ward_code_name")
    private String ward_code_name;

    @ApiModelProperty("")
    @JSONField(name = "hcyz_no")
    private String hcyz_no;

    @ApiModelProperty("中药细项号")
    @JSONField(name = "cm_item_num")
    private String cm_item_num;

    @ApiModelProperty("")
    @JSONField(name = "abbr_name")
    private String abbr_name;

    @ApiModelProperty("")
    @JSONField(name = "fee_type_code")
    private String fee_type_code;

    @ApiModelProperty("医嘱审核日期时间")
    @JSONField(name = "confirm_time")
    private String confirm_time;

    @ApiModelProperty("药物类型编码名称")
    @JSONField(name = "drug_type_name")
    private String drug_type_name;

    @ApiModelProperty("性别")
    @JSONField(name = "sex_name")
    private String sex_name;

    @ApiModelProperty("医嘱实际停止时间")
    @JSONField(name = "complete_stop_time")
    private String complete_stop_time;

    @ApiModelProperty("用药途径编码")
    @JSONField(name = "supply_code")
    private String supply_code;

    @ApiModelProperty("草药用法")
    @JSONField(name = "cy_supply_name")
    private String cy_supply_name;

    @ApiModelProperty("规格名称")
    @JSONField(name = "spec_name")
    private String spec_name;

    @ApiModelProperty("临床路径名称")
    @JSONField(name = "cps_name")
    private String cps_name;

    @ApiModelProperty("住院次数")
    @JSONField(name = "visitTimes")
    private String visitTimes;

    @ApiModelProperty("单次药物使用领量数量")
    @JSONField(name = "charge_amount")
    private String charge_amount;

}
