package com.docus.server.message.rpc.response;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.TypeReference;
import com.alibaba.fastjson.annotation.JSONField;
import com.docus.server.message.rpc.dto.HisZyCyYzDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 病人住院出院医嘱查询结果
 * @author wyb
 */
@Data
@ApiModel("病人住院出院医嘱查询结果")
public class HisZyCyYzResponse {
    @ApiModelProperty("")
    @JSONField(name = "compcode")
    private String compcode;

    @ApiModelProperty("")
    @JSONField(name = "compname")
    private String compname;

    @ApiModelProperty("结果编码")
    @JSONField(name = "ResultCode")
    private String ResultCode;

    @ApiModelProperty("结果消息")
    @JSONField(name = "ResultMessage")
    private String ResultMessage;


    @ApiModelProperty("数量")
    @JSONField(name = "count")
    private Integer count;

    @ApiModelProperty("住院号")
    @JSONField(name = "data")
    private List<HisZyCyYzDTO> data;

    public static void main(String[] args) {

String resp="{\n" +
        "\"compcode\":\"HIS_ZY_CYYZ\",\n" +
        "\"compname\":\"HIS住院出院医嘱查询服务\",\n" +
        "\"count\":1,\n" +
        "\"data\":[\n" +
        "{\n" +
        "\"global_pid\":263702,\n" +
        "\"patient_id\":\"001153078900\",\n" +
        "\"visitTimes\":3,\n" +
        "\"visitNo\":\"10003188\",\n" +
        "\"order_sn\":3.3725286E7,\n" +
        "\"tel\":\"27753919\",\n" +
        "\"social_code\":\"440606201702120263\",\n" +
        "\"pat_name\":\"梁思颖\",\n" +
        "\"sex\":\"2\",\n" +
        "\"sex_name\":\"女性\",\n" +
        "\"birthday\":\"2017-02-1200:00:00\",\n" +
        "\"fileno\":\"-\",\n" +
        "\"bedno\":\"51\",\n" +
        "\"roomno\":null,\n" +
        "\"group_type\":\"05\",\n" +
        "\"group_name\":\"治疗处置医嘱\",\n" +
        "\"dept_code\":\"07\",\n" +
        "\"dept_code_name\":\"儿科\",\n" +
        "\"ward_code\":\"B031101\",\n" +
        "\"ward_code_name\":\"3号楼11楼病区\",\n" +
        "\"order_dept_sn\":\"07\",\n" +
        "\"order_dept_name\":\"儿科\",\n" +
        "\"order_time\":\"2023-08-1710:28:35\",\n" +
        "\"order_doctor\":\"1-503\",\n" +
        "\"order_doctor_name\":\"陈小群\",\n" +
        "\"confirm_time\":\"2023-08-1710:40:27\",\n" +
        "\"confirm_opera_code\":\"1-503\",\n" +
        "\"confirm_opera_name\":\"陈小群\",\n" +
        "\"nurse_confirm_time\":\"2023-08-1710:41:54\",\n" +
        "\"nurse_confirm_code\":\"2B129\",\n" +
        "\"nurse_confirm_name\":\"吴假龄\",\n" +
        "\"cancel_time\":null,\n" +
        "\"cancel_doctor\":null,\n" +
        "\"cancel_name\":null,\n" +
        "\"stop_time\":\"2023-08-1712:00:02\",\n" +
        "\"complete_stop_time\":\"2023-08-1710:41:54\",\n" +
        "\"stop_name\":\"陈小群\",\n" +
        "\"stop_opera\":\"1-503\",\n" +
        "\"skin_test\":\"0\",\n" +
        "\"skintest_result\":null,\n" +
        "\"fit_flag\":\"0\",\n" +
        "\"emergency_flag\":\"0\",\n" +
        "\"medviewflag\":\"0\",\n" +
        "\"order_code\":\"006204\",\n" +
        "\"type_flag\":\"0\",\n" +
        "\"order_name\":\"出院医嘱\",\n" +
        "\"order_item_type\":\"s\",\n" +
        "\"order_item_name\":\"出院医嘱\",\n" +
        "\"order_status\":\"5\",\n" +
        "\"status_name\":\"停止\",\n" +
        "\"start_time\":\"2023-08-1712:00:00\",\n" +
        "\"frequ_code\":\"ONCE\",\n" +
        "\"frequ_name\":\"临时一次\",\n" +
        "\"supply_code\":null,\n" +
        "\"supply_name\":null,\n" +
        "\"self_buy\":\"0\",\n" +
        "\"doseage\":1.0,\n" +
        "\"unit_name\":null,\n" +
        "\"charge_amount\":1.0,\n" +
        "\"unit_name1\":null,\n" +
        "\"dosage_type\":null,\n" +
        "\"dosage_name\":null,\n" +
        "\"pack_sn\":\"**\",\n" +
        "\"drugcode\":\"006204\",\n" +
        "\"drugname\":\"出院医嘱\",\n" +
        "\"drug_class\":null,\n" +
        "\"drug_class_name\":null,\n" +
        "\"drug_type\":null,\n" +
        "\"drug_type_name\":null,\n" +
        "\"order_long_id\":53,\n" +
        "\"instruction\":null,\n" +
        "\"exec_unit\":\"07\",\n" +
        "\"exec_name\":\"儿科\",\n" +
        "\"p_order_sn\":null,\n" +
        "\"p_order_code\":\"006204\",\n" +
        "\"p_order_type\":\"s\",\n" +
        "\"p_order_type_name\":\"出院医嘱\",\n" +
        "\"long_once_flag\":\"0\",\n" +
        "\"long_once_name\":\"临时\",\n" +
        "\"exclusive_type\":\"2\",\n" +
        "\"exclusive_name\":\"全排斥\",\n" +
        "\"exclu_order_sn\":null,\n" +
        "\"orig_ward_code\":\"B031101\",\n" +
        "\"orig_ward_name\":\"3号楼11楼病区\",\n" +
        "\"order_description\":\"全排斥医嘱\",\n" +
        "\"cm_item_num\":\"0\",\n" +
        "\"hl_code\":\"0\",\n" +
        "\"hl_name\":\"正常\",\n" +
        "\"hl_type\":\"1\",\n" +
        "\"huli_type_name\":\"常规\",\n" +
        "\"fy_type\":\"0\",\n" +
        "\"fy_type_name\":\"无\",\n" +
        "\"charge_group\":null,\n" +
        "\"charge_group_name\":null,\n" +
        "\"muban_type\":\"3\",\n" +
        "\"cfypzh\":\"\",\n" +
        "\"zyjzf\":\"\",\n" +
        "\"zyyyff\":\"\",\n" +
        "\"zyypcf\":\"\",\n" +
        "\"zyypjs\":\"\",\n" +
        "\"yydays\":1,\n" +
        "\"spec\":null,\n" +
        "\"spec_name\":null,\n" +
        "\"yb_type_code\":\"\",\n" +
        "\"yb_type_name\":\"\",\n" +
        "\"hcyz_type_code\":\"\",\n" +
        "\"hcyz_type_name\":\"\",\n" +
        "\"hcyz_no\":\"\",\n" +
        "\"fee_type_code\":\"\",\n" +
        "\"fee_type_status\":\"\",\n" +
        "\"xzlhff_type_code\":\"\",\n" +
        "\"xzlhff_type_name\":\"\",\n" +
        "\"yzzt_code\":\"\",\n" +
        "\"op_id\":null,\n" +
        "\"back_status\":\"0\",\n" +
        "\"back_status_name\":\"否\",\n" +
        "\"abbr_name\":null,\n" +
        "\"bihuan_order_type\":\"s\",\n" +
        "\"bihuan_order_type_name\":\"出院医嘱\",\n" +
        "\"caoyao_fu\":null,\n" +
        "\"admiss_date\":\"2023-08-1109:24:34\",\n" +
        "\"cps_order_sn\":null,\n" +
        "\"cps_id\":null,\n" +
        "\"cps_name\":null,\n" +
        "\"BILLING_ATTR\":\"0\",\n" +
        "\"LAST_PERFORM_DATE_TIME\":\"2023-08-1710:41:54\",\n" +
        "\"LAST_ACCTING_DATE_TIME\":null,\n" +
        "\"DRUG_DILLING_ATTR\":null,\n" +
        "\"TREAT_SHEET_FLAG\":null,\n" +
        "\"PHAM_STD_CODE\":\"\",\n" +
        "\"AMOUNT\":1.0,\n" +
        "\"CURRENT_PRESC_NO\":null,\n" +
        "\"cy_supply_name\":null,\n" +
        "\"ypxz\":null,\n" +
        "\"ypxzmc\":null,\n" +
        "\"zy_role\":null,\n" +
        "\"poison_class\":null,\n" +
        "\"kssbj\":null,\n" +
        "\"dmbj\":null,\n" +
        "\"yybj\":\"0\",\n" +
        "\"ztbj\":null,\n" +
        "\"drug_sub_class\":null,\n" +
        "\"drug_sub_class_name\":null\n" +
        "}\n" +
        "],\n" +
        "\"ResultCode\":\"0\",\n" +
        "\"ResultMessage\":\"查询成功\"\n" +
        "}";
        HisZyCyYzResponse hisZyCyYzResponse = JSON.parseObject("resp", new TypeReference<HisZyCyYzResponse>() {
        });

        System.out.println(hisZyCyYzResponse);

    }


}
